Subject: Re: [PATCH v8 09/12] run-command: add close_fd_above_stderr option

From: Paul Tarjan <[email-masked]>
Date: Wed, 4 Mar 2026 17:49:59 -0700

On Wed, Mar 4, 2026, Junio C Hamano wrote:
> I wonder if a generic callback function
> to call here in the child between fork and exec that the caller can
> supply would be a good thing to have.

Done in v9. Replaced the close_fd_above_stderr flag with a pre_exec_cb
function pointer on struct child_process. The fd-closing logic is now
a standalone close_fd_above_stderr() function that the two fsmonitor
callers pass as the callback.